Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::TimeValue Class Reference

A time value. More...

`#include <Util.h>`

List of all members.

## Public Types
typedef uint64_t | SecType
| Types used for values with various units.
typedef uint64_t | MSecType
typedef uint64_t | USecType
typedef uint64_t | NSecType
typedef float | CyclesPerSecType

## Public Member Functions
| TimeValue ()
void | setFromSec (SecType sec)
void | setFromMSec (MSecType mSec)
void | setFromUSec (USecType uSec)
void | setFromNSec (NSecType nSec)
SecType | toSec () const
MSecType | toMSec () const
USecType | toUSec () const
NSecType | toNSec () const
CyclesPerSecType | toCyclesPerSec () const
bool | operator== (const TimeValue &rhs) const
bool | operator!= (const TimeValue &rhs) const
bool | operator< (const TimeValue &rhs) const
bool | operator>= (const TimeValue &rhs) const
bool | operator<= (const TimeValue &rhs) const
bool | operator> (const TimeValue &rhs) const
TimeValue | operator+ (const TimeValue &rhs) const
TimeValue | operator- (const TimeValue &rhs) const

## Static Public Member Functions
static TimeValue | infinite ()
static TimeValue | fromSec (float sec)
static TimeValue | fromSec (SecType sec)
static TimeValue | fromMSec (MSecType mSec)
static TimeValue | fromUSec (USecType uSec)
static TimeValue | fromNSec (NSecType nSec)
static TimeValue | fromCycelsPerSec (CyclesPerSecType cyclesPerSec)

## Private Member Functions
| TimeValue (NSecType value)

## Private Attributes
NSecType | m_nSec

## Detailed Description

A time value.

Supports conversion to different time units.

Definition at line 41 of file Util.h.

## Member Typedef Documentation

typedef float ArgusSamples::TimeValue::CyclesPerSecType

Definition at line 56 of file Util.h.

typedef uint64_t ArgusSamples::TimeValue::MSecType

Definition at line 53 of file Util.h.

typedef uint64_t ArgusSamples::TimeValue::NSecType

Definition at line 55 of file Util.h.

typedef uint64_t ArgusSamples::TimeValue::SecType

Types used for values with various units.

Definition at line 52 of file Util.h.

typedef uint64_t ArgusSamples::TimeValue::USecType

Definition at line 54 of file Util.h.

## Constructor & Destructor Documentation

ArgusSamples::TimeValue::TimeValue | ( |  | ) |
| inline

Definition at line 44 of file Util.h.

ArgusSamples::TimeValue::TimeValue | ( | NSecType | value | ) |
| inline private

Definition at line 187 of file Util.h.

## Member Function Documentation

static TimeValue ArgusSamples::TimeValue::fromCycelsPerSec | ( | CyclesPerSecType | cyclesPerSec | ) |
| inline static

Definition at line 90 of file Util.h.

static TimeValue ArgusSamples::TimeValue::fromMSec | ( | MSecType | mSec | ) |
| inline static

Definition at line 75 of file Util.h.

static TimeValue ArgusSamples::TimeValue::fromNSec | ( | NSecType | nSec | ) |
| inline static

Definition at line 85 of file Util.h.

static TimeValue ArgusSamples::TimeValue::fromSec | ( | float | sec | ) |
| inline static

Definition at line 65 of file Util.h.

static TimeValue ArgusSamples::TimeValue::fromSec | ( | SecType | sec | ) |
| inline static

Definition at line 70 of file Util.h.

static TimeValue ArgusSamples::TimeValue::fromUSec | ( | USecType | uSec | ) |
| inline static

Definition at line 80 of file Util.h.

static TimeValue ArgusSamples::TimeValue::infinite | ( |  | ) |
| inline static

Definition at line 59 of file Util.h.

bool ArgusSamples::TimeValue::operator!= | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 151 of file Util.h.

TimeValue ArgusSamples::TimeValue::operator+ | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 176 of file Util.h.

TimeValue ArgusSamples::TimeValue::operator- | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 181 of file Util.h.

bool ArgusSamples::TimeValue::operator< | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 156 of file Util.h.

bool ArgusSamples::TimeValue::operator<= | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 166 of file Util.h.

bool ArgusSamples::TimeValue::operator== | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 146 of file Util.h.

bool ArgusSamples::TimeValue::operator> | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 171 of file Util.h.

bool ArgusSamples::TimeValue::operator>= | ( | const TimeValue & | rhs | ) | const
| inline

Definition at line 161 of file Util.h.

void ArgusSamples::TimeValue::setFromMSec | ( | MSecType | mSec | ) |
| inline

Definition at line 101 of file Util.h.

void ArgusSamples::TimeValue::setFromNSec | ( | NSecType | nSec | ) |
| inline

Definition at line 111 of file Util.h.

void ArgusSamples::TimeValue::setFromSec | ( | SecType | sec | ) |
| inline

Definition at line 96 of file Util.h.

void ArgusSamples::TimeValue::setFromUSec | ( | USecType | uSec | ) |
| inline

Definition at line 106 of file Util.h.

CyclesPerSecType ArgusSamples::TimeValue::toCyclesPerSec | ( |  | ) | const
| inline

Definition at line 137 of file Util.h.

MSecType ArgusSamples::TimeValue::toMSec | ( |  | ) | const
| inline

Definition at line 122 of file Util.h.

NSecType ArgusSamples::TimeValue::toNSec | ( |  | ) | const
| inline

Definition at line 132 of file Util.h.

SecType ArgusSamples::TimeValue::toSec | ( |  | ) | const
| inline

Definition at line 117 of file Util.h.

USecType ArgusSamples::TimeValue::toUSec | ( |  | ) | const
| inline

Definition at line 127 of file Util.h.

## Member Data Documentation

NSecType ArgusSamples::TimeValue::m_nSec
| private

Definition at line 192 of file Util.h.

The documentation for this class was generated from the following file:

- common/Util.h